import url from 'node:url';
import MagicString from 'magic-string';
export function cachebuster(code, prefix) {
    const assetUrlRE = /__VITE_ASSET__([a-z0-9]{8})__(?:\$_(.*?)__)?/g;
    let match;
    let s;
    while ((match = assetUrlRE.exec(code))) {
        s = s || (s = new MagicString(code));
        const [full, hash, postfix = ''] = match;
        const replacementString = `__VITE_ASSET__${hash}__$_${updatePostfix(postfix, typeof prefix === 'string' ? prefix : '?', hash)}__`;
        s.overwrite(match.index, match.index + full.length, replacementString, {
            contentOnly: true,
        });
    }
    return s ? s.toString() : code;
}
function updatePostfix(postfix, prefix, hash) {
    const parsedPostfix = url.parse(postfix);
    parsedPostfix.search = parsedPostfix.search
        ? `${prefix}${hash}&${parsedPostfix.search.slice(1)}`
        : prefix + hash;
    return url.format(parsedPostfix);
}
