import type { CacheDocument } from './types.js';
declare class CacheDb {
    #private;
    constructor(filename: string, expireDuration: number, countToExpire: number);
    countdown(): void;
    renewAsset(targets: Set<string>, now?: number): void;
    insertAsset(targets: Set<string>, now?: number): void;
    getData(fileName: string): CacheDocument;
    upsertPublic(fileName: string, checksum: number, now?: number): void;
    getExpired(now?: number): CacheDocument[];
    removeExpired(now?: number): void;
    close(): void;
}
export { CacheDb };
