import imagemin from 'imagemin';
import imageminPngquant from 'imagemin-pngquant';
import imageminOptipng from 'imagemin-optipng';
import imageminMozjpeg from 'imagemin-mozjpeg';
import imageminSvgo from 'imagemin-svgo';
async function imageProcessor(settings, buffer) {
    const plugins = [];
    if (settings.pngquant !== false)
        plugins.push(imageminPngquant(settings.pngquant));
    if (settings.optipng !== false)
        plugins.push(imageminOptipng(settings.optipng));
    if (settings.mozjpeg !== false)
        plugins.push(imageminMozjpeg(settings.mozjpeg));
    if (settings.svgo !== false)
        plugins.push(imageminSvgo(settings.svgo));
    try {
        return await imagemin.buffer(buffer, {
            plugins,
        });
    }
    catch (err) {
        return false;
    }
}
export { imageProcessor };
